Functions
Functions
Peripheral Driver » APP DRIVER » TIMER
Collaboration diagram for Functions:

## Functions
uint16_t | app_tim_init (app_tim_params_t *p_params, app_tim_evt_handler_t evt_handler)
| Initialize the APP TIM DRIVER according to the specified parameters in the app_tim_params_t and app_tim_evt_handler_t. More...
uint16_t | app_tim_deinit (app_tim_id_t id)
| De-initialize the APP TIM DRIVER peripheral. More...
uint16_t | app_tim_start (app_tim_id_t id)
| Starts the TIM counter in interrupt mode. More...
uint16_t | app_tim_stop (app_tim_id_t id)
| Stops the TIM counter in interrupt mode. More...
timer_handle_t * | app_tim_get_handle (app_tim_id_t id)
| Return the TIM handle. More...

## Detailed Description

## Function Documentation

## ◆ app_tim_deinit()

uint16_t app_tim_deinit | ( | app_tim_id_t | id | ) |

De-initialize the APP TIM DRIVER peripheral.

Parameters

  [in] | id | De-initialize for a specific ID.

Returns
  Result of De-initialization.

## ◆ app_tim_get_handle()

timer_handle_t* app_tim_get_handle | ( | app_tim_id_t | id | ) |

Return the TIM handle.

Parameters

  [in] | id | TIM Channel ID.

Returns
  Pointer to the specified ID's TIM handle.

## ◆ app_tim_init()

uint16_t app_tim_init | ( | app_tim_params_t * | p_params,
|  | app_tim_evt_handler_t | evt_handler
| ) |  |

Initialize the APP TIM DRIVER according to the specified parameters in the app_tim_params_t and app_tim_evt_handler_t.

Parameters

  [in] | p_params | Pointer to app_tim_params_t parameter which contains the configuration information for the specified TIM module.
  [in] | evt_handler | TIM user callback function.

Returns
  Result of initialization.

## ◆ app_tim_start()

uint16_t app_tim_start | ( | app_tim_id_t | id | ) |

Starts the TIM counter in interrupt mode.

Parameters

  [in] | id | which TIM module want to start.

Returns
  Result of initialization.

## ◆ app_tim_stop()

uint16_t app_tim_stop | ( | app_tim_id_t | id | ) |

Stops the TIM counter in interrupt mode.

Parameters

  [in] | id | which TIM module want to stop.

Returns
  Result of initialization.